package com.totopia.server.modules.game.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.MappedSuperclass;
import java.io.Serializable;
import java.util.Date;

@MappedSuperclass
@SuperBuilder
@Data
@NoArgsConstructor
@AllArgsConstructor
public abstract class MiniGameEntity extends UserDateAuditEntity implements Serializable {

  @Basic
  @Column(name = "home_name", nullable = false, length = 200)
  private String homeName;

  @Basic
  @Column(name = "draw_name", nullable = false, length = 200)
  private String drawName;

  @Basic
  @Column(name = "away_name", nullable = false, length = 200)
  private String awayName;

  @Basic
  @Column(name = "mini_game_type", nullable = false, length = 200)
  private String miniGameType;

  @Basic
  @Column(name = "mini_game_round", nullable = false)
  private Long miniGameRound;

  @Basic
  @Column(name = "result_status", nullable = false)
  private Short resultStatus;

  @Basic
  @Column(name = "betting_status", nullable = false)
  private Short bettingStatus;

  @Basic
  @Column(name = "match_date_time", nullable = false)
  private Date matchDateTime;

  @Basic
  @Column(name = "home_odds", nullable = false)
  private Float homeOdds;

  @Basic
  @Column(name = "draw_odds", nullable = false)
  private Float drawOdds;

  @Basic
  @Column(name = "away_odds", nullable = false)
  private Float awayOdds;

}
