package com.totopia.server.modules.game.entity;

import com.totopia.server.commons.data.entity.DateAuditEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "sports_event")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SportsEventEntity extends DateAuditEntity {

  @Id
  @GeneratedValue(generator = "sports_event_generator")
  @SequenceGenerator(name = "sports_event_generator", sequenceName = "sports_event_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "match_date_time", nullable = false)
  private Date matchDateTime;

  @Basic
  @Column(name = "result_status", nullable = false)
  private Short resultStatus;

  @Basic
  @Column(name = "betting_status", nullable = false)
  private Short bettingStatus;

  @Basic
  @Column(name = "game_way", nullable = false)
  private Short gameWay;

  @Basic
  @Column(name = "game_type", nullable = false)
  private Short gameType;

  @Basic
  @Column(name = "parse_status", nullable = false)
  private Short parseStatus;

  @Basic
  @Column(name = "sports_name", nullable = false)
  private String sportsName;

  @Basic
  @Column(name = "sports_kor_name", nullable = true)
  private String sportsKorName;

  @Basic
  @Column(name = "match_etc", nullable = true)
  private String matchEtc;

  @Basic
  @Column(name = "league_id", nullable = false)
  private Long league;

  @Basic
  @Column(name = "home_team", nullable = false, length = 100)
  private String homeTeam;

  @Basic
  @Column(name = "away_team", nullable = false, length = 100)
  private String awayTeam;

  @Basic
  @Column(name = "home_odds", nullable = false)
  private Float homeOdds;

  @Basic
  @Column(name = "draw_odds", nullable = false)
  private Float drawOdds;

  @Basic
  @Column(name = "away_odds", nullable = false)
  private Float awayOdds;

  @Basic
  @Column(name = "option_odds", nullable = false)
  private Float optionOdds;
}
