package com.totopia.server.modules.game.entity;

import com.totopia.server.commons.data.entity.DateAuditEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;
import java.util.Map;

@Entity
@Table(name = "sports_event_result")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SportsEventResultEntity extends DateAuditEntity {

  @Id
  @GeneratedValue(generator = "sports_event_result_generator")
  @SequenceGenerator(name = "sports_event_result_generator", sequenceName = "sports_event_result_sequence", initialValue = 1)
  private Long id;

//  @Column(name = "event_id", unique = true)
//  private Long eventId;

  @Column(name = "status")
  private Short status;

  @Column(name = "home_full_time_score")
  private Short homeFullTimeScore;

  @Column(name = "home_final_score")
  private Short homeFinalScore;

  @Column(name = "away_full_time_score")
  private Short awayFullTimeScore;

  @Column(name = "away_final_score")
  private Short awayFinalScore;

  @Column(name = "score_Info", columnDefinition = "json")
  private Map<String, Object> scoreInfo;

}
