package com.totopia.server.modules.info.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "main_event")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class MainEventEntity extends UserDateAuditEntity {

  @Id
  @GeneratedValue(generator = "main_event_generator")
  @SequenceGenerator(name = "main_event_generator", sequenceName = "main_event_sequence", initialValue = 1)
  private Short id;

  @Basic
  @Column(name = "open_state", nullable = false)
  private Boolean openState = false;

  @Basic
  @Column(name = "attach_id", nullable = true)
  private Long attachFile;
}
