package com.totopia.server.modules.moneys.entity;

import com.totopia.server.commons.data.entity.DateAuditEntity;
import com.totopia.server.modules.user.type.StatusName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity(name = "bank")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
public class BankEntity extends DateAuditEntity {

  private static final long serialVersionUID = -8628291684559836128L;

  @Id
  @GeneratedValue(generator = "bank_generator")
  @SequenceGenerator(name = "bank_generator", sequenceName = "bank_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "user_id", nullable = false)
  private Long userId;

  @Basic
  @Column(name = "name", nullable = false, length = 100)
  private String name;

  @Basic
  @Column(name = "account_number", nullable = false, length = 100)
  private String accountNumber;

  @Basic
  @Column(name = "holder", nullable = false, length = 100)
  private String holder;

  @Basic
  @Column(name = "password", nullable = false, length = 100)
  private String password;

  @Basic
  @Column(name = "status", nullable = false, length = 100)
  private StatusName status;

  @Basic
  @Column(name = "descriptions", nullable = true, length = 1000)
  private String descriptions;
}
